LPR(1)

NAZWA
lpr - drukowanie off line

SKŁADNIA
lpr [-Pprinter] [-#num] [-C class] [-J job] [-T title] [-U user] [-i [numcols]] [-1234 font] [-wnum] [-cdfghlnmprstv] [file ...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Lpr wykorzystuje demona kolejkowania druku do wydrukowania wskazanych plików, gdy usługi te będą dostępne. Jeżeli nie podano żadnych nazw, to przyjmowane jest standardowe wejście.

Niżej opisane jednoliterowe opcje służą do powiadamiania programu buforującego drukarki, że pliki nie są standardowymi plikami tekstowymi. Demon buforowania użyje wówczas odpowiednich filtrów do wydruku danych.

-c  Przyjmuje, że pliki zawierają dane pochodzące z cifplot(1)

-d  Przyjmuje, że pliki zawierają dane pochodzące z tex (DVI format ze Stanford).

-f  Posługuje się filtrem, który interpretuje pierwszy znak każdego wiersza jako standardowy znak sterujący karetki FORTRAN-u.

-g  Przyjmuje, że pliki zawierają standardowe dane wykresowe, jakie tworzą procedury plot(1) (zobacz także plot(1) gdzie opisano filtry używane przez program buforujący druk).

-l  Używa filtru umożliwiającego drukowanie znaków sterujących i eliminującego łamanie stron.

-n  Przyjmuje, że pliki zawierają dane z ditroff (device independent troff - troff niezależny od urządzenia).

-p  Do formatowania plików wykorzystuje pr(1) (równoważne z print).

-t  Przyjmuje, że pliki zawierają dane z troff(1) (polecenia cat fotonaświetlarki).

-v  Przyjmuje, że pliki zawierają obraz rastrowy dla urządzeń takich jak Benson Varian.

Te opcje odnoszą się do zarządzania zadaniem druku:

-P  Wymusza skierowanie wyniku na konkretną drukarkę. Normalnie używana jest drukarka domyślna, zależna miejscowo, lub drukarka wskazana wartością zmiennej środowiskowej PRINTER.

-h  Eliminuje drukowanie strony rozdzielającej.

-m  Wysyła pocztę po ukończeniu.

-r  Usuwa plik po zakończeniu buforowania lub po zakończeniu drukowania (z opcją -s ).

-s  Używa dowiązań symbolicznych. Zwykle pliki są kopiowane do katalogu buforowania. Opcja -s wykorzystuje symlink(2) do tworzenia dowiązań do plików zamiast próby ich kopiowania, zatem można łatwo wydrukować duże pliki. Przy tej opcji pliki nie powinny być zmieniane ani usuwane, dopóki nie zostaną wydrukowane.
Pozostałe opcje mają zastosowanie do kopii, stron i nagłówków:

-#num
    Liczba num jest pożądaną ilością kopii każdego ze wskazanych plików. Na przykład,

        lpr -#3 foo.c bar.c more.c

    spowoduje wydrukowanie 3 kopii pliku foo.c, po których wystąpią 3 kopie pliku bar.c, itd. Z drugiej strony,

        cat foo.c bar.c more.c | lpr -#3

    da trzy kopie złączonych plików. Często w danym miejscu wyłącza się tę cechę, by zachęcić do wykorzystywania zamiast tego fotokopiarki.

    -[1234] font Określa nazwę fontu, jaki ma być osadzony na pozycji i przy drukowaniu troff (przestarzałe). Demon skonstruuje plik .railmag wskazujący na nazwy ścieżkowe fontów.

-C class
    Klasyfikacja zadania, jaka ma zostać użyta na stronie rozdzielającej. Na przykład,

        lpr -C EECS foo.c

    powoduje, że na stronie rozdzielającej nazwa systemu (nazwa zwracana przez hostname(1)) ma być zastąpiona przez EECS, a wydrukowany ma zostać plik foo.c.

-J job
    Nazwa zadania, jaka ma być wydrukowana na stronie rozdzielającej. Normalnie używana jest nazwa pierwszego z plików.

-T title
    Nazwa tytułu dla pr(1), zamiast nazwy pliku.

-U user
    Nazwa użytkownika do wydruku na stronie rozdzielającej, również do celów rozliczeniowych. Ta opcja jest honorowana tylko jeśli rzeczywistym identyfikatorem użytkownika jest demon (lub identyfikator podany w pliku printcap zamiast demona). Jest ona przeznaczona do przypadków, gdy filtry druku chcą ponownie kolejkować zadania.

-i [numcols]
    Wyjście jest wcięte. Jeżeli następnym argumentem jest numeryczne (numcols), liczba kolumn, to jest on stosowany jako liczba odstępów do wydrukowania przed każdym z wierszy. W przeciwnym razie drukowanych jest 8 znaków.

-wnum
    Używa num jako szerokości kolumn dla polecenia pr(1).

ŚRODOWISKO
Jeżeli poniższa zmienna środowiska istnieje, to jest używna przez lpr:

PRINTER
    Określa drukarkę zamienną.

PLIKI
/etc/passwd
    Identyfikacja osobista.
/etc/printcap
    Baza danych o możliwościach drukarek.
/usr/sbin/lpd*
    Demony drukarek wierszowych.
/var/spool/output/*
    Katalogi wykorzystywane do buforowania.
/var/spool/output/*/cf*
    Pliki stwrujące demonów.
/var/spool/output/*/df*
    Pliki danych podane w plikach "cf".
/var/spool/output/*/tf*
    Tymczasowe kopie plików "cf".

ZOBACZ TAKŻE
lpq(1a), lprm(1a), pr(1), symlink(2), printcap(5a), lpc(8a), lpd(8a)

HISTORIA
Polecenie lpr pojawiło się w 3BSD.

DIAGNOSTYKA
Próba buforowania wydruku zbyt dużego pliku powoduje jego obcięcie. Lpr sprzeciwia się drukowaniu plików binarnych. Jeżeli użytkownik inny niż root drukuje plik a buforowanie jest wyłączone, to lpr wypisuje komunikat mówiący o tym i nie umieszcza zadań w kolejce. Jeżeli nie może być wykonane połączenie z lpd(1) na lokalnej maszynie, to lpr mówi, że demon nie może zostać uruchomiony. W pliku dziennika demona lpd(1) może wypisywać komunikaty diagnostyczne dotyczące brakujących plików buforowania.

BŁĘDY
Fonty dla troff(1) i tex położone są na maszynie z drukarką. Nie jest obecnie możliwe użycie lokalnych bibliotek fontów.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:
man --locale=C 1a lpr

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.